org.apache.hc.core5.http.impl.io

## Class DefaultBHttpServerConnectionFactory.Builder

- java.lang.Object
- - org.apache.hc.core5.http.impl.io.DefaultBHttpServerConnectionFactory.Builder

- Enclosing class:
    DefaultBHttpServerConnectionFactory

      public static final class DefaultBHttpServerConnectionFactory.Builder
      extends Object

  Builder for `DefaultBHttpServerConnectionFactory`.
  Since:
    5.1

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultBHttpServerConnectionFactory` | `build()`
    `DefaultBHttpServerConnectionFactory.Builder` | `charCodingConfig(CharCodingConfig charCodingConfig)`
    `DefaultBHttpServerConnectionFactory.Builder` | `http1Config(Http1Config http1Config)`
    `DefaultBHttpServerConnectionFactory.Builder` | `incomingContentLengthStrategy(ContentLengthStrategy incomingContentLengthStrategy)`
    `DefaultBHttpServerConnectionFactory.Builder` | `outgoingContentLengthStrategy(ContentLengthStrategy outgoingContentLengthStrategy)`
    `DefaultBHttpServerConnectionFactory.Builder` | `requestParserFactory(HttpMessageParserFactory<ClassicHttpRequest> requestParserFactory)`
    `DefaultBHttpServerConnectionFactory.Builder` | `responseWriterFactory(HttpMessageWriterFactory<ClassicHttpResponse> responseWriterFactory)`
    `DefaultBHttpServerConnectionFactory.Builder` | `scheme(String scheme)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### scheme

          public DefaultBHttpServerConnectionFactory.Builder scheme(String scheme)

    - #### http1Config

          public DefaultBHttpServerConnectionFactory.Builder http1Config(Http1Config http1Config)

    - #### charCodingConfig

          public DefaultBHttpServerConnectionFactory.Builder charCodingConfig(CharCodingConfig charCodingConfig)

    - #### incomingContentLengthStrategy

          public DefaultBHttpServerConnectionFactory.Builder incomingContentLengthStrategy(ContentLengthStrategy incomingContentLengthStrategy)

    - #### outgoingContentLengthStrategy

          public DefaultBHttpServerConnectionFactory.Builder outgoingContentLengthStrategy(ContentLengthStrategy outgoingContentLengthStrategy)

    - #### requestParserFactory

          public DefaultBHttpServerConnectionFactory.Builder requestParserFactory(HttpMessageParserFactory<ClassicHttpRequest> requestParserFactory)

    - #### responseWriterFactory

          public DefaultBHttpServerConnectionFactory.Builder responseWriterFactory(HttpMessageWriterFactory<ClassicHttpResponse> responseWriterFactory)

    - #### build

          public DefaultBHttpServerConnectionFactory build()

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.